/******************************************************************************
*                                                                             *
*  File:                          main.C                         			  *
*                                                                             *
*  Description: This file contains C code for a PIC16F690 using HiTech PICC   *
*               pro lite compiler version 9.60 written for the PICkit2 Demo	  *
*				board. The project drives a unipole stepper motor.			  *
*				This program uses the Switch-Case to control the coils of	  *
*				the stepper .						  						  *
*					  														  *
*******************************************************************************
*                                                                             *
*  Created By:  Chuck Hellebuyck 4/22/09                                      *
*                                                                             *
*  Versions:                                                                  *
*                                                                             *
*  MAJ.MIN - AUTHOR - CHANGE DESCRIPTION                                      *
*                                                                             *
*   1.0    - T.R.S. - Sequence thru stepper coils to make motor spin.		  *
*                                                                             *
******************************************************************************/
#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include <htc.h>			// Include HITECH CC header file
#include "pause.h"			// Include Pause Function Header


/* PIC16F690 Configuration Settings */
__CONFIG (INTIO & WDTDIS & MCLRDIS & UNPROTECT );
 //Internal clock, Watchdog off, MCLR off, Code Unprotected



main()
{
unsigned char position = 0; 	//Create 8 bit variable to store switch count

ANSEL =	0;				// Intialize A/D ports off
ANSELH = 0;
CM1CON0 = 0;			// Initialize Comparator 1 off
CM2CON0 = 0;			// Initialize Comparator 2 off

PORTC = 0x00;			//Clear PortC port
TRISC = 0x00;			//All PortC I/O outputs


while(1==1)			//loop forever
	{
	position++;		//  increment the coil drive
	switch (position)
		 {
			case 1:					// Position 1 
				RC0 = 1;
				RC1 = 1;
				RC2 = 0;
				RC3 = 0;
				break;
			case 2:					// Position 2
				RC0 = 0;
				RC1 = 1;
				RC2 = 1;
				RC3 = 0;
				break;
			case 3:					// Position 3
				RC0 = 0;
				RC1 = 0;
				RC2 = 1;
				RC3 = 1;
				break;
			default:				// Position 4
				RC0 = 1;
				RC1 = 0;
				RC2 = 0;
				RC3 = 1;
				position =0;
				break;
		
		} //end switch
		pause (20);
	}	//End while
}	//end main
