/*	Project 3 - Internal EEPROM
 *	This program demonstrates how to write to and read from the internal
 *	eeprom memory of the PIC16F690.
 *	The code will use the library functions for EEPROM read and write
 *	Read:
 *	unsigned char EEPROM_READ(unsigned char EEPROMAddress);
 *	Write:
 *	EEPROM_WRITE(unsigned char EEPROMAddress, unsigned char EEPROMData);
 * 
 *	This code will display the results on a standard 2x16 LCD Module
 *	with a Hitachi HD44780 controller. It uses it in 4 bit mode, with
 *	the hardware connected as follows: 
 *	
 *	PORTC bits 0-3 are connected to the LCD data bits 4-7 (high nibble)
 *	PORTA bit 2 is connected to LCD RS input (register select)
 *  RW input (read/write) connected to ground
 *	PORTA bit 1 is connected to the LCD EN bit (enable)
 *	
 *	
 */
#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include <htc.h>

#include "lcd.h"


__CONFIG (INTIO & WDTDIS & MCLRDIS & UNPROTECT );
 //Internal clock, Watchdog off, MCLR off, Code Unprotected


void pause( unsigned short usvalue );		//Establish pause routine function

// Variables declared
unsigned char B0, B1;			//General purpose variables


void main()
{

ANSEL = 0;		// Set PORTA all Digital
ANSELH = 0;
CM1CON0 = 0;	// Comparator 1 off
CM2CON0 = 0;	// Comparator 2 off

	lcd_init();		//Initialize LCD	
	while (1==1)
	{
   	for(B0 = 0; B0<10; B0=B0+1)     // Loop 10 times
      	{
		EEPROM_WRITE (B0,B0);		// Write each location's address to itself
      	pause (10); 				// Delay 10ms after each write
   		}

  
	for(B0 = 0; B0<10; B0=B0+1)		// Loop 10 times
      	{
		B1 = EEPROM_READ (B0);		// Store Value at address B0 into B1
      	lcd_clear;					// Clear LCD and Position cursor at home
		lcd_goto(0);
		lcd_puts("Value Read:");	// Display "Results:" on LCD
		lcd_putch(B1 + 0x30);		// Display B1 value on LCD
		pause (500);
   		}

	} // End While  
} // End Main 