#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include	<pic.h>

/*
 *	Interrupt demo for PIC; wait for button press on RA2/INT,
 *	toggle LED on RC0 pin in interrupt routine when switch is pressed.
 *  RA2 - Normally Open Momentary Switch
 *  RC0 - RC0 to LED Anode, Cathode to 470 ohm to ground
 *	0.01uf cap across switch for debounce.
 */

/*
PIC16F690 Configuration
*/
__CONFIG (INTIO & WDTDIS & PWRTDIS & MCLRDIS & BORDIS & UNPROTECT & IESODIS & FCMDIS );
//Internal clock, Watchdog off, MCLR internal, Low Voltage Program off,
// Code Unprotected, Clock Switch Disabled


#define LED RC0					// Label for LED connection


void
main(void)
{
	/* setup stuff */
	ANSEL =	0;				// Intialize A/D ports off
	ANSELH = 0;				// Intialize A/D ports off
	CM1CON0 = 0;			// Initialize Comparator 1 off
	CM2CON0 = 0;			// Initialize Coparator 2 off

	LED = 1;		// First time through interrupt will occur so this clears LED at start
	TRISC0 = 0;		// RC0 Set to output to drive LED 
	TRISA2 = 1;		// Set A2/INT pin to input
	RABPU = 0;		// Use internal pullups
	WPUA2 = 1;		// RA2/INT Pull-up Enabled
	INTEDG = 0;		// falling edge trigger the interrupt
	INTE = 1;		// enable the external interrupt
	GIE = 1;		// Global interrupt enable

	while (1==1)	// Loop here forever waiting for RB0 interrupts
	{
	}
}

void interrupt
isr(void)			// This is the interrupt service routine
{
	if(INTF)
	 {						// test if RB0 interrupt occurred
		LED = 1 ^ LED;		// toggle LED
		INTF = 0;			// clear the interrupt
	 }
}

