/* A simple demonstration of serial communications which
 * incorporates the on-board hardware USART of the Microchip
 * PIC16F690 device. */
#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include <stdio.h>
#include <htc.h>
#include "usart.h"

/*
PIC16F690 Configuration
*/
__CONFIG (INTIO & WDTDIS & MCLRDIS & UNPROTECT);
//Internal clock, Watchdog off, MCLR internal, 
// Code Unprotected, Clock Switch Disabled

void main(void){
	unsigned char input;
	
	ANSEL = 0; 		//Analog ports set to digital		
	ANSELH = 0;
	CM1CON0 = 0;	//Comparators Shut off
	CM2CON0 = 0;

	INTCON=0;	// purpose of disabling the interrupts.
	
	init_comms();	// set up the USART - settings defined in usart.h

	// *** Serial Communication Main Loop	

	while(1)
		{
	unsigned char count;
	for (count = 0x31; count <= 0x39; count = count +1)	
			{
			putch(count);		// Send Count in ASCII
			input = getch();	// Read a response from the user
			putch(input);		// Echo back response
			}	
		while(1)
			{	
			printf("Press a key and I will echo it back:\r\n");
			input = getch();	// read a response from the user
			printf("I detected [%c]\r\n",input);	// echo it back
			}
		}
}
