#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include <htc.h>
#include "lcd.h"
#include "pause.h"
#include "spi_comm.h"

__CONFIG (INTIO & WDTDIS & MCLRDIS & UNPROTECT);

#define number 0x30

#define CS RC6		//CS = RC6  'Chip select pin
					//SCK = RB6 'Clock pin
					//SDI = RB4	'MISO pin
					//SDO = RC7 'MOSI pin

unsigned char b0;	// Data Storage Byte
unsigned char addr;	// Address Storage Byte
unsigned char data;	// Address Storage Byte

void
main(void)
{
ANSEL = 0;		// Set PORTA all Digital
ANSELH = 0;
CM1CON0 = 0;	// Comparator 1 off
CM2CON0 = 0;	// Comparator 2 off

TRISA = 0;		// All PORTA Outputs
TRISC = 0;		// All PORTC Outputs

CS = 1;			// Initialize CS to high
TRISC6 = 0; 	// CS pin set as output
TRISC7 = 0;		// SDO/MOSI pin set as output
TRISB6 = 0;		// SCK pin set as output
TRISB4 = 1;		// SDI/MISO pin set as input

lcd_init();		// Initialize LCD Display
	
/* SPI Peripheral Setup */

/* SSPCON Settings  */
SSPCON = 0b00000001;	// SPI Clock Frequency set to FOSC/16 = 250khz
CKP = 1; 				// Idle state of clock is low
	
/*  SSPSTAT Settings  */
SMP = 1;		// Sampled at end of data pulse
CKE = 0;		// Data Transfered on rising edge of clock

/* SPI Peripheral on  */
SSPEN = 1; 		// Enable SPI peripheral
						

//*** Load Data in EEPROM ***
while (1==1)
	{
		for( addr = 0; addr < 10; addr = addr + 1)	// Loop 10 times
				{
               	data = addr; 	       	// addr value is data for SEEPROM
				WR_BYTE (addr,data);	// Write to SEEPROM
                pause (10);              // Delay 10ms after each write
                } // End For
        
//*** Continuous Loop to Read and Display Data  ***
		for( addr = 0; addr <10; addr = addr + 1)	// Loop 10 times
				{
				lcd_clear();			// Clear LCD screen
				lcd_goto(0);			// select first line
                lcd_puts("Address / Value");// Display header
                b0 = RD_BYTE (addr);        // Read from SEEPROM
                lcd_goto(0x40);				// Select second line
                lcd_putch(addr + number);	// Display value read from EEPROM on LCD
				lcd_puts(" / ");
                lcd_putch(b0 + number);		// Display value read from EEPROM on LCD
				pause (250);				// Delay 250 msec to see count
                } //End For

 	} //End While
} //End Main	      
