#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include <htc.h>
//#include "spi_comm.h"
#include "pause.h"

#define CS RC6		//CS = RC6  'Chip select pin

char SPI_OUTPUT ( char spi_byte )
{
	SSPBUF = spi_byte;
	do {
		}
	while(!BF);
	return SSPBUF;
}

void WR_BYTE ( char EE_address, char EE_data )
{
	char dummy;
	CS = 0;			// Select EEPROM by pulling CS low
	dummy = SPI_OUTPUT ( 0x06 ); // Send write enable command
	CS = 1;			// Release EEPROM chip with CS high
	pause(5);
	CS = 0;			// Enable EEPROM again
	dummy = SPI_OUTPUT ( 0x02 ); // Send Write command
	dummy = SPI_OUTPUT ( EE_address );    // Send Address location
	dummy = SPI_OUTPUT ( EE_data );       // Send Data
	CS = 1; 		// Release EEPROM to allow byte to be written
	
}


char RD_BYTE ( char EE_address )
{
	char dummy;
	char spi_received = 0;
	CS = 0;	// Set chip select low
	dummy = SPI_OUTPUT (0x03); // Send read command
	dummy = SPI_OUTPUT (EE_address ); // Send Address
	
  // *******************************************************
  //	This is where CKP is reset for receiving data.
  // *******************************************************
	//CKP = 0;	// change clock polarity to 0
	spi_received = SPI_OUTPUT ( 0x00 ); // Receive Stored Value
	CS = 1;		// Bring chip select high to terminate
				// the read command
	//CKP = 1;	// Return clock polarity to 1
	return spi_received;
}